Folks.LocationDetails.change_location – folks Reference Manual

# change_location

## Description:

public virtual async void change_location (Location? location) throws PropertyError

Set or remove the contact's currently advertised location.

It's preferred to call this rather than setting LocationDetails.location directly, as this method gives error notification and will only return once the location has been written to the relevant backing store (or the operation's failed).

## Parameters:

location | the contact's location, null to remove the information

## Exceptions:

PropertyError | if setting the location failed

## Since:

0.9.2